Bug 38460 - RFE: rhconfig.h should check value of defined symbols
RFE: rhconfig.h should check value of defined symbols
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-30 16:28 EDT by Jeremy Katz
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-04-30 16:28:12 EDT
It would be extremely nice if rhconfig.h checked (eg) 
  if defined(__MODULE_KERNEL_i686) && (__MODULE_KERNEL_i686 == 1)

as opposed to the current check of just the symbol being defined.  This
would allow you to override the architecture for which modules are built
for and distribute kernel modules in packages outside of the kernel and get
the proper module symbols for things such as OpenAFS.  Otherwise, it
requires replacing /boot/kernel.h right now which means you can't do the
package build as non-root.

Actually, I guess to avoid requiring a new initscripts, it would be better
to do:
  if defined(__MODULE_KERNEL_i686) && (__MODULE_KERNEL_i686 != 0)
Comment 1 Arjan van de Ven 2001-05-21 06:13:17 EDT
Could you check Doug's driverdisk kit ?
http://people.redhat.com/dledford
He seems to have a solution for this.
Comment 2 Derek Atkins 2001-07-02 18:49:34 EDT
I checked out the referenced package.  What is done there is basically
building a completely new kernel source platform and linking their
driver sources into it.  A better way of explaining the module drivers
package is that it is a subset of a complete kernel tree.  It does not
attempt to compile against an existing kernel source (header) tree.  Rather,
it extracts the kernel source tree and prunes all but the drivers sources
and then builds with the standard kernel configs.

They workaround this particular bug by ignoring it and not trying to build
against kernel-source header files.

-derek
Comment 3 Alan Cox 2003-06-06 08:03:49 EDT
Current kernel setups seem to let you do that just fine.

Note You need to log in before you can comment on or make changes to this bug.